﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using TestSample.Models;

namespace TestSample.Controllers
{

    public class HomeController : Controller
    {

        public IActionResult Index()
        {
            ViewBag.DataSource = OrdersDetails.GetAllRecords().ToList();
            ViewBag.Master = dataTableOne.GetAllRecords().ToList();
            ViewBag.Detail = dataTableTwo.GetRecords().ToList();
            return View(ViewBag.Detail);
        }
    }

    public class dataTableOne                                    //Creating datasource for dropdownedit
    {
        public static List<dataTableOne> data = new List<dataTableOne>();
        public dataTableOne()
        {

        }
        public dataTableOne(int Id1, int Id2, string titleA)
        {
            this.Id1 = Id1;
            this.Id2 = Id2;
            this.titleA = titleA;
        }
        public static List<dataTableOne> GetAllRecords()
        {
            if (data.Count() == 0)
            {

                data.Add(new dataTableOne(1, 10001,"Bag"));
                data.Add(new dataTableOne(2, 10002, "Pencil"));
            }
            return data;
        }

        public int Id1 { get; set; }
        public int Id2 { get; set; }
        public string titleA { get; set; }
    }

    public class dataTableTwo
    {
        public static List<dataTableTwo> order = new List<dataTableTwo>();
        public dataTableTwo()
        {

        }
        public dataTableTwo(int ID3, string titleB)
        {
            this.ID3 = ID3;
            this.titleB = titleB;
        }
        public static List<dataTableTwo> GetRecords()
        {
            if (order.Count() == 0)
            {
                int code = 1000;
                for (int i = 1; i < 5; i++)
                {
                    order.Add(new dataTableTwo(code + 4, "CLUNP"));
                    order.Add(new dataTableTwo(code + 5, "ZOLID"));
                    code += 5;
                }
            }
            return order;
        }

        public int? ID3 { get; set; }
        public string titleB { get; set; }
    }

    public class OrdersDetails
    {
        public static List<OrdersDetails> order = new List<OrdersDetails>();
        public OrdersDetails()
        {

        }
        public OrdersDetails(int OrderID, string CustomerId, int EmployeeId, double Freight, bool Verified, DateTime OrderDate, string ShipCity, string ShipName, string ShipCountry, DateTime ShippedDate, string ShipAddress)
        {
            this.OrderID = OrderID;
            this.CustomerID = CustomerId;
            this.EmployeeID = EmployeeId;
            this.Freight = Freight;
            this.ShipCity = ShipCity;
            this.Verified = Verified;
            this.OrderDate = OrderDate;
            this.ShipName = ShipName;
            this.ShipCountry = ShipCountry;
            this.ShippedDate = ShippedDate;
            this.ShipAddress = ShipAddress;
        }
        public static List<OrdersDetails> GetAllRecords()
        {
            if (order.Count() == 0)
            {
                int code = 10000;
                for (int i = 1; i < 10; i++)
                {
                    order.Add(new OrdersDetails(code + 1, "ALFKI", i + 0, 2.3 * i, false, new DateTime(1991, 05, 15), "Bern", "Simons bistro", "#035a", new DateTime(1996, 7, 16), "http://127.0.0.1:10000/storageaccount/container/public/tracks/Ready%20To%20Jump%20%5BRight%20Now%5D%20(feat.%20Falko%20Niestolik%20)%20(Club%20Mix)"));
                    order.Add(new OrdersDetails(code + 2, "BLONP", i + 2, 3.3 * i, true, new DateTime(1990, 04, 04), "Madrid", "Queen Cozinha", "#FF0000", new DateTime(1996, 9, 11), "http://127.0.0.1:10000/storageaccount/container/public/tracks/Ready%20To%20Jump%20%5BRight%20Now%5D%20(feat.%20Falko%20Niestolik%20)%20(Club%20Mix)"));
                    order.Add(new OrdersDetails(code + 3, "ANTON", i + 1, 4.3 * i, true, new DateTime(1957, 11, 30), "Cholchester", "Frankenversand", "#0db1e7", new DateTime(1996, 10, 7), "http://127.0.0.1:10000/storageaccount/container/public/tracks/Ready%20To%20Jump%20%5BRight%20Now%5D%20(feat.%20Falko%20Niestolik%20)%20(Club%20Mix)"));
                    order.Add(new OrdersDetails(code + 4, "CLUNP", i + 5, 5.3 * i, false, new DateTime(1930, 10, 22), "Marseille", "Ernst Handel", "#000000", new DateTime(1996, 12, 30), "http://127.0.0.1:10000/storageaccount/container/public/tracks/Ready%20To%20Jump%20%5BRight%20"));
                    order.Add(new OrdersDetails(code + 5, "ZOLID", i + 3, 6.3 * i, true, new DateTime(1953, 02, 18), "Tsawassen", "Hanari Carnes", "#808080", new DateTime(1997, 12, 3), "http://127.0.0.1:10000/storageaccount/container/public/tracks/Ready%20To%20Jump%20%5BRight%20"));
                    code += 5;
                }
            }
            return order;
        }

        public int? OrderID { get; set; }
        public string CustomerID { get; set; }
        public int? EmployeeID { get; set; }
        public double? Freight { get; set; }
        public string ShipCity { get; set; }
        public bool Verified { get; set; }
        public DateTime OrderDate { get; set; }

        public string ShipName { get; set; }

        public string ShipCountry { get; set; }

        public DateTime ShippedDate { get; set; }
        public string ShipAddress { get; set; }
    }
}